> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 의뢰 단일 조회

> 의뢰 상세 정보를 조회합니다. `file_set`에 첨부 파일 목록이 presigned 다운로드 URL과 함께 포함됩니다.



## OpenAPI

````yaml GET /v1/inquiry/{inquiry_id}
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/inquiry/{inquiry_id}:
    get:
      tags:
        - inquiry
      summary: 의뢰 상세
      description: 의뢰 상세 정보를 조회합니다. `file_set`에 첨부 파일 목록이 presigned 다운로드 URL과 함께 포함됩니다.
      operationId: inquiry_retrieve
      parameters:
        - in: path
          name: inquiry_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiInquiryRetrieveResponse'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    OpenapiInquiryRetrieveResponse:
      type: object
      description: GET 응답 스키마 전용 — file_set을 조회용 serializer로 선언
      properties:
        id:
          type: integer
          readOnly: true
        uniqueId:
          type:
            - string
            - 'null'
          readOnly: true
          description: 의뢰 고유번호
        status:
          description: 의뢰 상태
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedInquiryStatus'
        client:
          description: 고객
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedClient'
        contract:
          description: 계약
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedContract'
        name:
          type: string
          description: 의뢰 이름
          maxLength: 64
        content:
          type:
            - string
            - 'null'
          description: 의뢰 내용
        estimate:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?\d{0,28}(?:\.\d{0,2})?$
          description: 예상 견적
        inquiryDate:
          type: string
          format: date
          description: 문의 일시
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
        funnel:
          description: 유입 경로
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedInquiryFunnel'
        workSet:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/OpenapiNestedInquiryWork'
          description: 의뢰 업무
        inChargeSet:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/OpenapiNestedMember'
          description: 영업 담당자
        fieldSet:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/OpenapiInquiryFields'
          description: 커스텀 필드
        fileLinkSet:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/OpenapiNestedInquiryFileLink'
          description: 링크 첨부
        fileSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedInquiryFile'
          readOnly: true
          description: 첨부 파일 (presigned 다운로드 URL 포함)
      required:
        - created
        - fileSet
        - id
        - inquiryDate
        - name
        - uniqueId
    OpenapiNestedInquiryStatus:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
        folder:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedFolder'
          readOnly: true
      required:
        - folder
        - id
        - title
    OpenapiNestedClient:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        status:
          readOnly: true
          description: 고객 상태
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedClientStatus'
        companyName:
          type: string
          readOnly: true
          description: 회사명
        inCharge:
          type:
            - string
            - 'null'
          readOnly: true
          description: 담당자
        position:
          type:
            - string
            - 'null'
          readOnly: true
          description: 직책
        contact:
          type:
            - string
            - 'null'
          readOnly: true
          description: 연락처
        email:
          type:
            - string
            - 'null'
          format: email
          readOnly: true
          description: 이메일
      required:
        - companyName
        - contact
        - email
        - id
        - inCharge
        - position
        - status
    OpenapiNestedContract:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 계약 제목
        amount:
          type: integer
          readOnly: true
          description: 계약 금액
        type:
          enum:
            - I
            - S
            - G
          type: string
          x-spec-enum-id: 4b039ce324ed7b8c
          readOnly: true
          description: |-
            계약 타입

            * `I` - 회차 정산형
            * `S` - 정기 결제형
            * `G` - 단건 정산
          x-enumNames:
            - 회차 정산형
            - 정기 결제형
            - 단건 정산
        status:
          enum:
            - P
            - I
            - C
            - T
          type: string
          x-spec-enum-id: 81c3becab4b92e5c
          readOnly: true
          description: |-
            계약 상태

            * `P` - 계약 준비 중
            * `I` - 정산 진행 중
            * `C` - 계약 종료
            * `T` - 계약 중단
          x-enumNames:
            - 계약 준비 중
            - 정산 진행 중
            - 계약 종료
            - 계약 중단
        startDate:
          type:
            - string
            - 'null'
          format: date
          readOnly: true
          description: 계약 착수일
        endDate:
          type:
            - string
            - 'null'
          format: date
          readOnly: true
          description: 계약 종료일
      required:
        - amount
        - endDate
        - id
        - startDate
        - status
        - title
        - type
    OpenapiNestedInquiryFunnel:
      type: object
      properties:
        utmCampaign:
          type:
            - string
            - 'null'
          description: UTM Campaign
        utmSource:
          type:
            - string
            - 'null'
          description: UTM Source
        utmMedium:
          type:
            - string
            - 'null'
          description: UTM Medium
        utmContent:
          type:
            - string
            - 'null'
          description: UTM Content
        utmTerm:
          type:
            - string
            - 'null'
          description: UTM Term
        guestUid:
          type:
            - string
            - 'null'
          description: Guest UID
        gclid:
          type:
            - string
            - 'null'
          description: Google Click ID
    OpenapiNestedInquiryWork:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        name:
          type: string
          maxLength: 64
      required:
        - name
    OpenapiNestedMember:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        nickname:
          type:
            - string
            - 'null'
          readOnly: true
          description: 닉네임
        email:
          type: string
          readOnly: true
          description: 이메일
        isActive:
          type: boolean
          readOnly: true
          description: 활성화 여부
        grade:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedMemberGrade'
          readOnly: true
          description: 등급
      required:
        - email
        - grade
        - id
        - isActive
        - nickname
    OpenapiInquiryFields:
      type: object
      properties:
        field:
          allOf:
            - $ref: '#/components/schemas/OpenapiNestedField'
          description: 커스텀 필드
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items:
                type: object
          description: 값
      required:
        - field
        - value
    OpenapiNestedInquiryFileLink:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
          readOnly: true
        text:
          type: string
          description: 표기 텍스트
          maxLength: 1024
        link:
          type: string
          format: uri
          description: 링크 URL
          maxLength: 2048
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - created
        - id
        - link
        - text
    OpenapiNestedInquiryFile:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: 파일명
        file:
          type: string
          readOnly: true
          description: 파일 URL (presigned)
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - created
        - file
        - id
        - name
    OpenapiNestedFolder:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          readOnly: true
      required:
        - id
        - name
    OpenapiNestedClientStatus:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 상태 제목
      required:
        - id
        - title
    OpenapiNestedMemberGrade:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
    OpenapiNestedField:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
          readOnly: true
          description: 커스텀 필드 이름
        dataType:
          enum:
            - S
            - 'N'
            - M
            - D
            - T
            - B
            - SL
            - ML
          type: string
          x-spec-enum-id: 382c397735902283
          readOnly: true
          description: |-
            데이터 타입

            * `S` - String
            * `N` - Number
            * `M` - Member
            * `D` - Date
            * `T` - Time
            * `B` - Boolean
            * `SL` - Single List(단수 선택)
            * `ML` - Multi List(복수 선택)
          x-enumNames:
            - String
            - Number
            - Member
            - Date
            - Time
            - Boolean
            - Single List(단수 선택)
            - Multi List(복수 선택)
        optionSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedFieldOption'
          readOnly: true
          description: 커스텀 필드 옵션 목록 (단수선택(SL), 복수선택(ML) 타입에서만 데이터 존재)
        memberSet:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiNestedMember'
          readOnly: true
          description: 멤버 목록 (멤버(M) 타입에서만 데이터 존재)
      required:
        - dataType
        - id
        - memberSet
        - name
        - optionSet
    OpenapiNestedFieldOption:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
      required:
        - id
        - title
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````